| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions
Tp::Callback4< R, Arg1, Arg2, Arg3, Arg4 > Class Template Reference
Utililty classes

Callback with 4 arguments. More...

`#include <TelepathyQt/Callbacks>`

Inherits Tp::BaseCallback.

List of all members.

## Public Types

- typedef R(* FunctionType )(Arg1, Arg2, Arg3, Arg4)
- typedef R ResultType

## Public Member Functions

- Callback4 ()
- template<class Functor > Callback4 (const Functor &functor)
- ResultType operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4) const

## Detailed Description

### template<class R, class Arg1, class Arg2, class Arg3, class Arg4>
class Tp::Callback4< R, Arg1, Arg2, Arg3, Arg4 >

Callback with 4 arguments.

See Callbacks Usage

## Member Typedef Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >

typedef R(* Tp::Callback4< R, Arg1, Arg2, Arg3, Arg4 >::FunctionType)(Arg1, Arg2, Arg3, Arg4)

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >

typedef R Tp::Callback4< R, Arg1, Arg2, Arg3, Arg4 >::ResultType

## Constructor & Destructor Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >

Tp::Callback4< R, Arg1, Arg2, Arg3, Arg4 >::Callback4 | ( |  | ) | `[inline]`

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >
template<class Functor >

Tp::Callback4< R, Arg1, Arg2, Arg3, Arg4 >::Callback4 | ( | const Functor & | functor | ) | `[inline]`

## Member Function Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >

ResultType Tp::Callback4< R, Arg1, Arg2, Arg3, Arg4 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4
| ) |  | const`[inline]`